Subject: [bug#60358] [PATCH v3 2/2] gnu: guile-gnutls: Update to 3.7.11.

From: Vivien Kraus <[email-masked]>
Date: Thu, 29 Dec 2022 16:25:38 +0100

Le mercredi 28 décembre 2022 à 03:20 +0100, Vivien Kraus a écrit :
> @@ -412,7 +421,13 @@ (define-public guile-gnutls
>             pkg-config
>             texinfo
>             gnutls                 ;XXX: 'guile-snarf' invokes the
> native 'cpp'
> -           guile-3.0))
> +           guile-3.0
> +           (gnulib-checkout
> +            "2022-12-06"
> +            "440b528b1d81dd31b2a2e4dde20d5c837c147811"
> +            "15mq43abbnkbamchc9lynrvrd5ql8qacgyx2ph4kkngxf1bz3pqy")
> +           git ; gnulib requires git even if nothing is downloaded.
> +           ))
>      (inputs
>       (list gnutls-latest
>             guile-3.0))

I can still pick an exact commit of gnulib (I was not aware that it
would be required, I thought the most common idea was "give me any
version of gnulib later than <>"). And I don’t have to package every
commit of gnulib, but only those that are actually used.

I’m not sure guix people will be happy to have each package use a
differently outdated version of gnulib though.